enable stylo (Quantum CSS) for TW firefox56
authorWolfgang Rosenauer <wr@rosenauer.org>
Mon, 02 Oct 2017 22:19:36 +0200
branchfirefox56
changeset 998 6c6109948e35
parent 997 ca8a6ac7fbf6
child 999 932b3ad009d5
enable stylo (Quantum CSS) for TW
MozillaFirefox/MozillaFirefox.changes
MozillaFirefox/MozillaFirefox.spec
--- a/MozillaFirefox/MozillaFirefox.changes	Sun Oct 01 23:16:23 2017 +0200
+++ b/MozillaFirefox/MozillaFirefox.changes	Mon Oct 02 22:19:36 2017 +0200
@@ -1,4 +1,9 @@
 -------------------------------------------------------------------
+Mon Oct  2 19:57:40 UTC 2017 - wr@rosenauer.org
+
+- enable stylo for TW (requires LLVM >= 3.9)
+
+-------------------------------------------------------------------
 Sun Oct  1 18:25:16 UTC 2017 - stefan.bruens@rwth-aachen.de
 
 - Correct plugin directory for aarch64 (boo#1061207). The wrapper
--- a/MozillaFirefox/MozillaFirefox.spec	Sun Oct 01 23:16:23 2017 +0200
+++ b/MozillaFirefox/MozillaFirefox.spec	Mon Oct 02 22:19:36 2017 +0200
@@ -93,7 +93,9 @@
 BuildRequires:  pkgconfig(gtk+-unix-print-3.0)
 BuildRequires:  pkgconfig(libffi)
 BuildRequires:  pkgconfig(libpulse)
-#BuildRequires:  llvm-clang-devel >= 3.9.0
+%if 0%{?suse_version} > 1320
+BuildRequires:  llvm-clang-devel >= 3.9.0
+%endif
 # libavcodec is required for H.264 support but the
 # openSUSE version is currently not able to play H.264
 # therefore the Packman version is required
@@ -355,7 +357,9 @@
 ac_add_options --enable-update-channel=%{update_channel}
 ac_add_options --with-mozilla-api-keyfile=%{SOURCE18}
 ac_add_options --with-google-api-keyfile=%{SOURCE19}
+%if 0%{?suse_version} > 1320
 ac_add_options --disable-stylo
+%endif
 %if %branding
 ac_add_options --enable-official-branding
 %endif